# Preview
![Preview](https://cdn.discordapp.com/attachments/749076478146117733/1180917099544195152/image.png)

# Skills

| Icon | Name | Description |
| ------------- | ----------- | ------------------------------------ |
| ![][portrait] | Sora | Skills |
| ![][passive] | Kingdom Key | Passively hover in the air. Additionally, holding the Jump key causes Sora to slide forward. Sora has a MP Gauge that lets him cast Magic for a MP cost. When MP reaches 0, Sora enters a Recovery State for 20s, during that period Magic can't be cast and Attack is greatly empowered. |
| ![][primary] | Attack | Attack forward with your Keyblade for 275% damage. Every third attack is a combo finisher that deals 325% damage. |
| ![][primary2] | Attack | Attack forward with your Keyblade for 325% damage. Every third attack is a combo finisher that deals 385% damage. All attacks can combo into each other, additionally have increased knockback to ground enemies, flying enemies have a 50% chance on hit to be stunned for 0.5s, and quickly dash through them while they're Lock-On. |
| ![][secondary] | Strike Raid | Slayer. Throw your Keyblade, piercing enemies in it's path for 460% damage. Deals an increased 40% damage for every enemy it passes through. Enemies killed by it drop a MP orb, that restores 12 MP. |
| ![][utility] | Dodge/Slide | Tap to Dodge a short distance, and become invulnerable for 0.31s. Cooldown is reduced by 1s. Hold to Slide a long distance, and become invulnerable for 0.18s. |
| ![][magic0] | Firaga | Ignite. Dash forward, unleashing a fire tornado that surrounds Sora for 1000% damage. |
| ![][magic1] | Blizzaga | Slow. Shoot a piercing burst of ice crystals for 900% damage. |
| ![][magic2] | Thundaga | Drop a lightning bolt on a target enemy, damaging nearby enemies in a large radius for 750% damage. |
| ![][magic3] | Waterga | Shoot a slow torrent of water that explodes on contact, damaging enemies in a large radius for 1000% damage. |
| ![][magic4] | Aeroga | Call a hurricane upon a target enemy's location, damaging all nearby enemies in massive area for 1375% damage. |
| ![][magic5] | Reflega | Sora is surrounded by a barrier of light for 0.85s, reflecting from all incoming damage back to the attacker, while stunning and knockbacking back. All nearby projectiles in a small radius are fired back to the attackers, stunning on contact. |
| ![][magic6] | Magnega | Create a vortex of of magnetic force that draws in all nearby enemies in a medium radius for 6s. |
| ![][magic7] | Curaga | Restore HP based on the amount of MP used. Nearby allies are healed for 50% of the same amount. |

[portrait]: https://media.discordapp.net/attachments/749076478146117733/1180905933665214525/portrait.png
[passive]: https://media.discordapp.net/attachments/749076478146117733/1180905933208043650/passiveIcon.png
[primary]: https://media.discordapp.net/attachments/749076478146117733/1180905930922147950/attackIcon.png
[primary2]: https://media.discordapp.net/attachments/749076478146117733/1180905930125230140/recoveryAttackIcon.png
[secondary]: https://media.discordapp.net/attachments/749076478146117733/1180905936240525523/throwIcon.png
[utility]: https://media.discordapp.net/attachments/749076478146117733/1180905932050399262/dodgeIcon.png
[magic0]: https://media.discordapp.net/attachments/749076478146117733/1180905932524371998/fireIcon.png
[magic1]: https://media.discordapp.net/attachments/749076478146117733/1180905931261870121/blizzardIcon.png
[magic2]: https://media.discordapp.net/attachments/749076478146117733/1180906585942392882/thunderIcon.png
[magic3]: https://media.discordapp.net/attachments/749076478146117733/1180905936794169386/waterIcon.png
[magic4]: https://media.discordapp.net/attachments/749076478146117733/1180905937121312808/windIcon.png
[magic5]: https://media.discordapp.net/attachments/749076478146117733/1180905930519486524/reflectIcon.png
[magic6]: https://media.discordapp.net/attachments/749076478146117733/1180905932859908198/magnetIcon.png
[magic7]: https://media.discordapp.net/attachments/749076478146117733/1180905931668734072/cureIcon.png

[ranged]: https://media.discordapp.net/attachments/749076478146117733/1180893278044946512/aimIndicatorClose.png
[close]: https://cdn.discordapp.com/attachments/749076478146117733/1180893278044946512/aimIndicatorClose.png
[melee]: https://media.discordapp.net/attachments/749076478146117733/1180893516252053645/aimIndicatorBG.png
[lockon]: https://media.discordapp.net/attachments/749076478146117733/1180893515857805442/aimIndicatorLockOn.png

## Features

### Slick HUD
- HP/MP HUD + Skin Portraits
- Magic Selection HUD
- Custom crosshair with Magic selection info

![Preview](https://media.discordapp.net/attachments/749076478146117733/1180904465512022027/uiShowcase.png)

### Lock-On
- How Lock-On works:
  - You have a passive aim indicator, enemies are marked differently depending on your distance.
  - You can Lock-On by pressing a configurable key (Default: "F").
  
| Icon | Name | Description |
| ------------- | ----------- | ------------------------------------ |
| ![][ranged] | Ranged | At any time you're far away from the enemy. |
| ![][close] | Close  | When you're close enough that you *might* hit with Attack. |
| ![][melee] | Melee  | Guaranteed Attack strike. |
| ![][lockon] | Lock-On  | Locked onto an enemy. Spells and Attacks will be cast towards it, independant of your distance to the target. |

### Controller Support
- Controllers work with the new inputs required for the mod's mechanics, but you **must** have [ExtraSkillSlots](https://thunderstore.io/package/KingEnderBrine/ExtraSkillSlots/) installed.

![Preview](https://cdn.discordapp.com/attachments/749076478146117733/1180891799892541450/8bitdo_SN30.png)

### English/Japanese Voice Over
- You can enable Japanese VO in the configs. 
  - Riku only has english VO, and it's pretty limited on line variations. 
  - Anti Form skin does not play VO.

![Preview](https://cdn.discordapp.com/attachments/749076478146117733/1180892768659329146/voshowcase.png)

# Commissions

I take commissions, wanna play create and play your favorite character? DM me:
- Discord Contact: Dragonyck#4653

# Installation
R2modman is recommended. 

Manual:

1 - Download and install BepInExPack and R2API 

2 - Extract the "Sora" dll to your plugins folder

3 - Have fun!

# Credits

Reik Nomkcalb - Commissioning this mod.

Dragonyck - Mod author.

Rob - Character templates.

KEB - IDRS Helper.

Violet - Big brain.

Everyone involved with the cores and api's that made modding possible.

All the peeps with bug reports and stuff.

# Changelog
`1.0.0` 
- Release
